<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div id="timesheetapproval" th:fragment="timesheetapproval">
    <form th:object="${timesheetapproval}" method="post" id="timesheetapproval-form">
      <div class="ui grid">
        <div class="row">
          <div class="four wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_RESOURCE}}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></h4>
            <div th:text="${timesheetapproval.resource.name}"></div>
            <input type="hidden" th:field="*{resource}" />
          </div>
          <div class="six wide column"></div>
          <div class="right aligned two wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_FORTNIGHT}}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></h4>
            <div th:text="${timesheetapproval.fortnight}"></div>
            <input type="hidden" th:field="*{fortnight}" />
          </div>
          <div class="right aligned two wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MONTH}}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></h4>
            <div th:text="${timesheetapproval.month}"></div>
            <input type="hidden" th:field="*{month}" />
          </div>
          <div class="right aligned two wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_YEAR}}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></h4>
            <div th:text="${timesheetapproval.year.id}"></div>
            <input type="hidden" th:field="*{year}"/>
          </div>
        </div>
      </div>
      <br />
      <table id="detail-billables" class="ui table compact details" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
        <thead>
          <tr>
            <th class="nine wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DESCRIPTION}}"></th>
            <th class="one wide right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ANALYSIS}}"></th>
            <th class="one wide right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DESIGN}}"></th>
            <th class="one wide right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DEVELOPMENT}}"></th>
            <th class="one wide right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TEST}}"></th>
            <th class="one wide right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_OTHER}}"></th>
            <th class="one wide right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TOTAL}}"></th>
            <th class="one wide" th:unless="${timesheetapproval.approved}"></th>
          </tr>
        </thead>
        <tbody id="bodybillables">
          <tr th:each="item, stat : ${timesheetapproval.approvals}">
            <td>
              <div class="six wide column">
                <div class="ui pointing selection dropdown full-width" th:unless="${timesheetapproval.approved}">
                  <label th:text="${timesheetapproval.approvals[__${stat.index}__].description}" th:id="approvals[__${stat.index}__].description"></label>
                  <i class="dropdown icon"></i>
                  <div class="menu">
                    <div class="ui left search icon input">
                      <i class="search icon"></i>
                      <input type="text" name="search" />
                    </div>
                    <div class="item" th:each="item : ${contracts}" th:onclick="updateContractOrAbsence([[${stat.index}]], [[${item.code}]], [[${item.contract}]], [[${item.description}]]);">
                      <th:block th:text="${item.description}"></th:block>
                    </div>
                  </div>
                </div>
                <label th:text="${timesheetapproval.approvals[__${stat.index}__].description}" th:if="${timesheetapproval.approved}"></label>
              </div>
            </td>
            <td class="right aligned">
              <div class="ui input">
                <input class="text-right-aligned" maxlength="4" size="3" th:field="*{approvals[__${stat.index}__].analysis}" th:unless="${timesheetapproval.approved}">
                <span th:if="${timesheetapproval.approved}" th:text="*{approvals[__${stat.index}__].analysis}"></span>
              </div>
            </td>
            <td class="right aligned">
              <div class="ui input">
                <input class="text-right-aligned" maxlength="4" size="3" th:field="*{approvals[__${stat.index}__].design}" th:unless="${timesheetapproval.approved}">
                <span th:if="${timesheetapproval.approved}" th:text="*{approvals[__${stat.index}__].design}"></span>
              </div>
            </td>
            <td class="right aligned">
              <div class="ui input">
                <input class="text-right-aligned" maxlength="4" size="3" th:field="*{approvals[__${stat.index}__].development}" th:unless="${timesheetapproval.approved}">
                <span th:if="${timesheetapproval.approved}" th:text="*{approvals[__${stat.index}__].development}"></span>
              </div>
            </td>
            <td class="right aligned">
              <div class="ui input">
                <input class="text-right-aligned" maxlength="4" size="3" th:field="*{approvals[__${stat.index}__].test}" th:unless="${timesheetapproval.approved}">
                <span th:if="${timesheetapproval.approved}" th:text="*{approvals[__${stat.index}__].test}"></span>
              </div>
            </td>
            <td class="right aligned">
              <div class="ui input">
                <input class="text-right-aligned" maxlength="4" size="3" th:field="*{approvals[__${stat.index}__].other}" th:unless="${timesheetapproval.approved}">
                <span th:if="${timesheetapproval.approved}" th:text="*{approvals[__${stat.index}__].other}"></span>
              </div>
            </td>
            <td class="right aligned">
              <span th:text="${item.total}"></span>
              <input th:field="*{approvals[__${stat.index}__].id}" type="hidden"/>
              <input th:field="*{approvals[__${stat.index}__].resource}" type="hidden"/>
              <input th:field="*{approvals[__${stat.index}__].contract}" type="hidden"/>
              <input th:field="*{approvals[__${stat.index}__].year}" type="hidden"/>
              <input th:field="*{approvals[__${stat.index}__].month}" type="hidden"/>
              <input th:field="*{approvals[__${stat.index}__].fortnight}" type="hidden"/>
              <input th:field="*{approvals[__${stat.index}__].code}" type="hidden"/>
              <input th:field="*{approvals[__${stat.index}__].description}" type="hidden"/>
              <input th:field="*{approvals[__${stat.index}__].timesheet}" type="hidden"/>
              <input th:field="*{approvals[__${stat.index}__].type.id}" type="hidden"/>
              <input th:field="*{approvals[__${stat.index}__].created}" type="hidden"/>
              <input th:field="*{approvals[__${stat.index}__].createdBy}" type="hidden"/>
            </td>
            <td class="center aligned" th:unless="${timesheetapproval.approved}">
              <i class="red times icon pointer" th:onclick="'remove(' + ${timesheetapproval.approvals[__${stat.index}__].id} + ');'"></i>
            </td>  
          </tr>
          <tr class="active">
            <td th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TOTAL}}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(timesheetapproval.approvals) ? #aggregates.sum(timesheetapproval.approvals.![analysis]) : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(timesheetapproval.approvals) ? #aggregates.sum(timesheetapproval.approvals.![design]) : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(timesheetapproval.approvals) ? #aggregates.sum(timesheetapproval.approvals.![development]) : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(timesheetapproval.approvals) ? #aggregates.sum(timesheetapproval.approvals.![test]) : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(timesheetapproval.approvals) ? #aggregates.sum(timesheetapproval.approvals.![other]) : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(timesheetapproval.approvals) ? #aggregates.sum(timesheetapproval.approvals.![total]) : 0}"></td>
            <td th:unless="${timesheetapproval.approved}"></td>
          </tr>
        </tbody>
      </table>
      <div class="ui buttons right floated" th:unless="${timesheetapproval.approved}">
        <div class="ui buttons">
          <button class="ui negative button" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_REJECT}}" onclick="reject();"></button>
          <div class="or"></div>
          <button class="ui positive button" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_APPROVE}}" onclick="approve();"></button>
        </div>
      </div>
      <div class="ui small primary labeled icon button" onclick="addNewRow()" th:unless="${timesheetapproval.approved}">
        <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ADD_ROW}}"></span>
        <i class="plus icon"></i>
      </div>
      <button class="ui small button" onclick="save();" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE}}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:unless="${timesheetapproval.approved}"></button>
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
  </div>
</body>
</html>